Bug 176671 - Can't enable xinetd-based services
Can't enable xinetd-based services
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
http://www.fedoraforum.org/forum/show...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 05:30 EST by Markku Kolkka
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.9.1-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 13:03:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markku Kolkka 2005-12-29 05:30:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fi-FI; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When trying to switch on any xinetd-based service in system-config-services, the service is enabled and then immediately disabled according to system logs. Chkconfig reports the service as "off" and when system-config-services is restarted, the service is unchecked.

Version-Release number of selected component (if applicable):
system-config-services-0.8.25-1

How reproducible:
Always

Steps to Reproduce:
1. Start system-config-services
2. Try to eanble any xinetd-based service e.g. daytime or kshell by checking the box
3. Save the changes
  

Actual Results:  The service remains disabled. The log shows that the service was enabled but then immediately disabled:
Dec 29 12:26:08 nightshade xinetd[2105]: Starting reconfiguration
Dec 29 12:26:08 nightshade xinetd[2105]: Swapping defaults
Dec 29 12:26:08 nightshade xinetd[2105]: Reconfigured: new=1 old=0 dropped=0 (services)
Dec 29 12:26:08 nightshade xinetd[2105]: Starting reconfiguration
Dec 29 12:26:08 nightshade xinetd[2105]: Swapping defaults
Dec 29 12:26:08 nightshade xinetd[2105]: service daytime-dgram deactivated
Dec 29 12:26:08 nightshade xinetd[2105]: Reconfigured: new=0 old=0 dropped=1 (services)


Expected Results:  The service should have been activated and stayed that way.

Additional info:

Managing xinetd-based services with the chkconfig command works normally
Comment 1 mokkarkay 2006-01-31 08:37:59 EST
I can confirm this bug.

After a little research, I've looked into /etc/xinetd.d directory and found that
for each configuration file there, there's a line disabled=yes.

When the system-config-services runs, it will read the disabled=yes settings and
display them correctly (i.e. if disabled=no, a tick will appear on the left of
the service).

However, if we tick the service and press save, it will always write a
disabled=yes line, whatever if a service is ticked or not.

For now we can manually change the disabled=yes to disabled=no to make services
work.
Comment 2 Nils Philippsen 2006-03-07 03:07:15 EST
The system-config-date version for FC5 contains fixes in that area (it can apply
changes to xinetd based servbices), as soon as it is out, I plan to backport it
to FC4.
Comment 3 Christian Iseli 2007-01-22 06:33:15 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Markku Kolkka 2007-01-22 13:03:28 EST
System-config-services in FC6 works correctly, closing the bug.

Note You need to log in before you can comment on or make changes to this bug.